<script setup lang="ts">
import { computed, ref, watch } from "vue";
import { useRoute } from "vue-router";
import { DatasetDetailsDataset, useRuntimeEnv } from "@piveau/piveau-hub-ui-modules";
import DatasetRevisionContainer from "./DatasetRevisionContainer.vue";

const route = useRoute()
const env = useRuntimeEnv()

const selectedVersion = ref("3");
const title = ref("Version 4");
const dateOfPublication = ref("24.05.2023");
const selectedItem = ref([
  { label: "Version 3 - 01.01.2023", value: "3" },
  { label: "Version 2 - 25.12.2022", value: "2" },
  { label: "Version 1 - 15.12.2022", value: "1" },
]);

watch(selectedVersion, (newValue) => {
  console.log("Selected Version:", newValue);
});

// optionally disable/enable this feature in production stages
// is enabled if one of the following conditions is true
// 1. development mode
// 2. query parameter __history is set
// 3. VITE_CONTENT_DATASET_DETAILS_HISTORY_IS_VISIBLE is set to true
// @ts-ignore
const isEnabled = computed(() => import.meta.env.MODE !== "production" || !!route.query.__history || !!env.content.datasetDetails.history!.isVisible)
</script>

<template>
  <DatasetDetailsDataset>
    <template v-if="isEnabled" #property-table-before>
      <DatasetRevisionContainer
        :title="title"
        :date="dateOfPublication"
        :selectedItem="selectedItem"
        :options="selectedItem"
        v-model="selectedVersion"
        class="mb-3"
      />
    </template>
  </DatasetDetailsDataset>
</template>

<style scoped lang="scss"></style>
